import React from 'react';
import './Text.css';

export default props => {
  const styleList = [];
  styleList.push('Text');
  if (props.type) {
    styleList.push('Text' + props.type);
  }

  let style = {...props.style};
  if (props.textAlign) {
    style['textAlign'] = props.textAlign.toLowerCase();
  }

  const text = (
    <div
      className={styleList.join(' ')}
      style={style}>{props.text}
    </div>);

  return props.noOwner ? text : (
    <div className={'TextOwner'}>
      {text}
    </div>);
};